#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	upower
Version		:	v1.90.2
Release		:	16.2.0.rel%{?dist}

Summary		:	UPower is an abstraction for enumerating power devices
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://gitlab.freedesktop.org/upower/upower/tags
			#https://upower.freedesktop.org/releases
			

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	dbus-glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	libgudev
BuildRequires	:	gtk-doc
BuildRequires	:	libusb
BuildRequires	:	meson

Provides	:	%{name}-glib
#-----------------------------------------------------------------------------
%description
%{name} is an abstraction for enumerating power devices,
listening to device events and querying history and statistics.
Any application or service on the system can access the
org.freedesktop.UPower service via the system message bus.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang

%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/UPower/UPower.conf
%{_libdir}/udev/rules.d/*.rules
%{_libdir}/udev/hwdb.d/95-%{name}-hid.hwdb
%{_libexecdir}/%{name}d
%{_libexecdir}/%{name}/integration-test.py
%{_libexecdir}/%{name}/output_checker.py
%{_libexecdir}/%{name}/tests/*.device
%{_libdir}/lib%{name}-glib.so.3*
%{_libdir}/girepository-1.0/U*-1.0.typelib
%{_datadir}/installed-tests/%{name}/%{name}-integration.test
%{_datadir}/dbus-1/system.d/org.freedesktop.UPower.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.UPower.service
%{_mandir}/man1/*.1.gz
%{_mandir}/man7/*.7.gz
%{_mandir}/man8/*.8.gz

#=============================================================================
%package		devel
Summary		:	Headers and libraries for UPower
	
#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Headers and libraries for UPower.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/lib%{name}-glib/*.h
%{_libdir}/lib%{name}-glib.so
%{_libdir}/pkgconfig/%{name}-glib.pc
%{_datadir}/dbus-1/interfaces/org.freedesktop.UPower.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.UPower.*.xml
%{_datadir}/gir-1.0/U*-1.0.gir

#=============================================================================
%package		devel-doc
Summary		:	Developer documentation for for libupower-glib
	
#-----------------------------------------------------------------------------
BuildArch	:	noarch

Requires	:	%{name} = %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel-doc
Developer documentation for for libupower-glib.

#-----------------------------------------------------------------------------
%files			devel-doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/UPower/*.html
%{_datadir}/gtk-doc/html/UPower/*.png
%{_datadir}/gtk-doc/html/UPower/style.css

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--buildtype=release				\
	-D gtk-doc=true 				\
	-D man=true					\
	-D systemdsystemunitdir=no			\
	-D udevrulesdir=%{_libdir}/udev/rules.d		\
	build

ninja							\
	-C build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}                                    \
        ninja                                           \
        -C build                                        \
        install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
